Skip to main content
GET

Authorizations

x-rapidapi-key
string
header
required

Query Parameters

linkedin_url
string<uri>
required

A valid LinkedIn profile URL — both public ID format (https://www.linkedin.com/in/stephenlee4244315) and URN format (https://www.linkedin.com/sales/lead/ACwAAALW9HABcVdR-UuroyOHoL2iuUob1F_yDRY) are accepted.

Example:

"https://www.linkedin.com/in/cjfollini/"

include_skills
enum<string>
default:false

Whether to include skills in the profile details. Enabling this option will consume 1 more credit.

Available options:
true,
false
include_certifications
enum<string>
default:false

Whether to include certifications in the profile details. Enabling this option will consume 1 more credit.

Available options:
true,
false
include_languages
enum<string>
default:false

Whether to include languages in the profile details. Enabling this option will consume 1 more credit.

Available options:
true,
false
include_profile_status
enum<string>
default:false

Whether to include the profile status. Enabling this option will consume 1 more credit.

Available options:
true,
false
include_company_public_url
enum<string>
default:true

Whether to include the public URL of the company associated with the profile. Free (no extra credit).

Available options:
true,
false

Response

Personal profile response

message
string
Example:

"ok"

data
object